summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorSimon Rettberg2013-09-11 18:00:19 +0200
committerSimon Rettberg2013-09-11 18:00:19 +0200
commit5741985db822ee32b1d098b89779d5df0ea2f624 (patch)
tree84d6f93ebd2b27ac60a8d6a45ce50bcd7e43697a
parent[german] conf: directory names corrected: lowercase, minus hyphen (diff)
downloadtm-scripts-5741985db822ee32b1d098b89779d5df0ea2f624.tar.gz
tm-scripts-5741985db822ee32b1d098b89779d5df0ea2f624.tar.xz
tm-scripts-5741985db822ee32b1d098b89779d5df0ea2f624.zip
[mount_export] Fix collision with mount points for addons
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export11
1 files changed, 7 insertions, 4 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
index 3d012360..988dc3d7 100755
--- a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
+++ b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-mount_export
@@ -4,7 +4,10 @@
[ -z "${SLX_STAGE4_NFS}" ] && { echo "SLX_STAGE4_NFS is not set in /opt/openslx/config." && exit 1; }
-echo "Mounting ${SLX_STAGE4_NFS} to /opt/openslx/mnt"
-mount -t nfs -o ro,async,nolock,vers=3 "$SLX_STAGE4_NFS" /opt/openslx/mnt || { echo "Fail." && exit 1; }
-echo "Appending /opt/openslx/mnt to /"
-mount -o remount,append:/opt/openslx/mnt=ro / || { echo "Fail." && exit 1; }
+MOUNTPOINT="/opt/openslx/mnt/stage4"
+mkdir -p "$MOUNTPOINT"
+echo "Mounting ${SLX_STAGE4_NFS} to $MOUNTPOINT"
+mount -t nfs -o ro,async,nolock,vers=3 "$SLX_STAGE4_NFS" "$MOUNTPOINT" || { echo "Fail." && exit 1; }
+echo "Appending $MOUNTPOINT to /"
+mount -o "remount,append:$MOUNTPOINT=ro" / || { echo "Fail." && exit 1; }
+